/*******************************************************************************
* File Name: PollButton_ISR.h
* Version 1.70
*
*  Description:
*   Provides the function definitions for the Interrupt Controller.
*
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/
#if !defined(CY_ISR_PollButton_ISR_H)
#define CY_ISR_PollButton_ISR_H


#include <cytypes.h>
#include <cyfitter.h>

/* Interrupt Controller API. */
void PollButton_ISR_Start(void);
void PollButton_ISR_StartEx(cyisraddress address);
void PollButton_ISR_Stop(void);

CY_ISR_PROTO(PollButton_ISR_Interrupt);

void PollButton_ISR_SetVector(cyisraddress address);
cyisraddress PollButton_ISR_GetVector(void);

void PollButton_ISR_SetPriority(uint8 priority);
uint8 PollButton_ISR_GetPriority(void);

void PollButton_ISR_Enable(void);
uint8 PollButton_ISR_GetState(void);
void PollButton_ISR_Disable(void);

void PollButton_ISR_SetPending(void);
void PollButton_ISR_ClearPending(void);


/* Interrupt Controller Constants */

/* Address of the INTC.VECT[x] register that contains the Address of the PollButton_ISR ISR. */
#define PollButton_ISR_INTC_VECTOR            ((reg32 *) PollButton_ISR__INTC_VECT)

/* Address of the PollButton_ISR ISR priority. */
#define PollButton_ISR_INTC_PRIOR             ((reg32 *) PollButton_ISR__INTC_PRIOR_REG)

/* Priority of the PollButton_ISR interrupt. */
#define PollButton_ISR_INTC_PRIOR_NUMBER      PollButton_ISR__INTC_PRIOR_NUM

/* Address of the INTC.SET_EN[x] byte to bit enable PollButton_ISR interrupt. */
#define PollButton_ISR_INTC_SET_EN            ((reg32 *) PollButton_ISR__INTC_SET_EN_REG)

/* Address of the INTC.CLR_EN[x] register to bit clear the PollButton_ISR interrupt. */
#define PollButton_ISR_INTC_CLR_EN            ((reg32 *) PollButton_ISR__INTC_CLR_EN_REG)

/* Address of the INTC.SET_PD[x] register to set the PollButton_ISR interrupt state to pending. */
#define PollButton_ISR_INTC_SET_PD            ((reg32 *) PollButton_ISR__INTC_SET_PD_REG)

/* Address of the INTC.CLR_PD[x] register to clear the PollButton_ISR interrupt. */
#define PollButton_ISR_INTC_CLR_PD            ((reg32 *) PollButton_ISR__INTC_CLR_PD_REG)



#endif /* CY_ISR_PollButton_ISR_H */


/* [] END OF FILE */
