/*******************************************************************************
* File Name: TEMPERATURE.h  
* Version 2.20
*
* Description:
*  This file contains the Alias definitions for Per-Pin APIs in cypins.h. 
*  Information on using these APIs can be found in the System Reference Guide.
*
* Note:
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_TEMPERATURE_ALIASES_H) /* Pins TEMPERATURE_ALIASES_H */
#define CY_PINS_TEMPERATURE_ALIASES_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"


/***************************************
*              Constants        
***************************************/
#define TEMPERATURE_0			(TEMPERATURE__0__PC)
#define TEMPERATURE_0_PS		(TEMPERATURE__0__PS)
#define TEMPERATURE_0_PC		(TEMPERATURE__0__PC)
#define TEMPERATURE_0_DR		(TEMPERATURE__0__DR)
#define TEMPERATURE_0_SHIFT	(TEMPERATURE__0__SHIFT)
#define TEMPERATURE_0_INTR	((uint16)((uint16)0x0003u << (TEMPERATURE__0__SHIFT*2u)))

#define TEMPERATURE_INTR_ALL	 ((uint16)(TEMPERATURE_0_INTR))


#endif /* End Pins TEMPERATURE_ALIASES_H */


/* [] END OF FILE */
